Before you add the comment, you can set the indicator size for the comment using the indicatorSize method or set the indicator color for the comment using the indicatorColor method. For example:
You can also get size & color of comment indicator
You should set size & color in the legal range:
If you want to set indicator color, you should set a string type data.
If this string cannot be identified as a color (like 'black' '#000' 'rgba(255, 255, 0, 0.5)' can be identified), the comments indicator will be set to the default color black.
If you want to set indicator size, you should set a number type data and make sure the data > 1.
window.onload = function () {
var spread = new GC.Spread.Sheets.Workbook($("ss"));
var sheet = spread.getActiveSheet();
initData();
$('setColor').addEventListener('click', function () {
var color = $('color').value;
var comments = sheet.comments.get(1, 1);
if (!comments) {
initData();
}
sheet.comments.get(1, 1).indicatorColor(color);
$('color').value = sheet.comments.get(1, 1).indicatorColor();
});
$('setSize').addEventListener('click', function () {
var size = $('size').value;
var comments = sheet.comments.get(1, 1);
if (!comments) {
initData();
}
sheet.comments.get(1, 1).indicatorSize(Number(size));
$('size').value = sheet.comments.get(1, 1).indicatorSize();
});
function initData() {
sheet.addSpan(1, 1, 1, 6);
sheet.setValue(1, 1, "there is a comment on the upper right corner of the cell");
sheet.comments.add(1, 1, "new comment!");
$('color').value = sheet.comments.get(1, 1).indicatorColor();
$('size').value = sheet.comments.get(1, 1).indicatorSize();
}
};
function $(id) {
return document.getElementById(id);
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div id="ss" class="sample-spreadsheets"></div>
<div class="options-container">
<div style="float: right;">
<!-- change indicator options -->
<div class="group">
<div>
<div ></div>
<div>
<div>
<label for="color">Color</label>
<input id="color" class="form-control">
<input type="button" id="setColor" value="Set Comment Indicator Color" class="option-row">
</div>
</div>
<div class="col-sm-12" style="height: 30px;"></div>
<div class="col-sm-12">
<div class="input-group">
<label for="size">Size</label>
<input id="size" class="form-control">
<input type="button" id="setSize" value="Set Comment Indicator Size" class="option-row">
</div>
</div>
<div class="col-sm-12" style="height: 30px;"></div>
</div>
</div>
</div>
</div>
</div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
overflow: auto;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
}
.sample-options{
z-index: 1000;
}
.option {
padding-bottom: 6px;
}
.checkbox {
padding-right: 12px;
display: inline-block;
}
label {
display: inline-block;
min-width: 100px;
}
input, select {
width: 100%;
padding: 4px 0;
margin-top: 4px;
box-sizing: border-box;
}
input[type=checkbox] {
width: auto;
padding: 0;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}

Before you add the comment, you can set the indicator size for the comment using the indicatorSize method or set the indicator color for the comment using the indicatorColor method. For example:
You can also get size & color of comment indicator
You should set size & color in the legal range:
If you want to set indicator color, you should set a string type data.
If this string cannot be identified as a color (like 'black' '#000' 'rgba(255, 255, 0, 0.5)' can be identified), the comments indicator will be set to the default color black.
If you want to set indicator size, you should set a number type data and make sure the data > 1.
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './styles.css';
import { AppFunc } from './app-func';
// import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
let spread;
export const AppFunc = () => {
let [color, setColor] = React.useState('red');
let [size, setSize] = React.useState(6);
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread=>initSpread(spread)}>
<Worksheet/>
</SpreadSheets>
</div>
<Panel setColor={setColor}
color = {color}
size = {size}
setSize={setSize}/>
</div>);
}
const Panel = (props) => {
return (
<div class="options-container">
<div class="option-row">
<label for="color">Color:</label>
<input id="color" type="text" value= {props.color} onChange={(e)=>{props.setColor(e.target.value)}}/>
<input type="button" style={{display:"none"}} value="Set Comment Indicator Color"id="setColor"onClick={setColor(props.color)}/>
</div>
<div class="option-row">
<label for="size">Size</label>
<input id="size" type="number" value= {props.size} onChange={(e)=>{props.setSize(parseInt(e.target.value))}}/>
<input type="button" style={{display:"none"}} value="Set Comment Indicator Size" id="setSize"onClick={setSize(props.size)}/>
</div>
</div>
)
}
function initSpread(_spread) {
spread = _spread;
spread.suspendPaint();
let sheet = spread.getSheet(0);
sheet.addSpan(1, 1, 1, 6);
sheet.setValue(1, 1, "there is a comment on the upper right corner of the cell");
sheet.comments.add(1, 1, "new comment!");
spread.resumePaint();
}
function setColor (color) {
spread && spread.getActiveSheet().comments.get(1,1).indicatorColor(color);
}
function setSize (size) {
if (!isNaN(size)) {
spread && spread.getActiveSheet().comments.get(1,1).indicatorSize(size);
} else {
spread && spread.getActiveSheet().comments.get(1,1).indicatorSize(6);
}
}
import * as React from 'react';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
}
render() {
return (<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread=>this.initSpread(spread)}>
<Worksheet/>
</SpreadSheets>
</div>
<Panel setColor={(e) => { this.setColor(e) }}
setSize={(e) => { this.setSize(e) }} />
</div>);
}
initSpread(spread) {
this.spread = spread;
spread.suspendPaint();
let sheet = spread.getSheet(0);
sheet.addSpan(1, 1, 1, 6);
sheet.setValue(1, 1, "there is a comment on the upper right corner of the cell");
sheet.comments.add(1, 1, "new comment!");
spread.resumePaint();
}
setColor(color) {
this.spread && this.spread.getActiveSheet().comments.get(1, 1).indicatorColor(color);
}
setSize(size) {
if (!isNaN(size)) {
this.spread && this.spread.getActiveSheet().comments.get(1, 1).indicatorSize(size);
} else {
this.spread && this.spread.getActiveSheet().comments.get(1, 1).indicatorSize(6);
}
}
}
class Panel extends Component{
constructor(props){
super(props);
this.state = {
color: 'red',
size: 6,
commentText: "new comment!"
}
}
render() {
return (
<div class="options-container">
<div class="option-row">
<label for="color">Color:</label>
<input id="color" type="text" value= {this.state.color} onChange={(e)=>{this.setState({color: e.target.value})}}/>
<input type="button" value="Set Comment Indicator Color" id="setColor"onClick={this.props.setColor(this.state.color)}/>
</div>
<div class="option-row">
<label for="size">Size</label>
<input id="size" type="text" value= {this.state.size} onChange={(e)=>{this.setState({size: parseInt(e.target.value)})}}/>
<input type="button" value="Set Comment Indicator Size" id="setSize"onClick={this.props.setSize(this.state.size)}/>
</div>
</div>
)
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height:100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
overflow: auto;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
}
label {
display: inline-block;
min-width: 90px;
margin: 6px 0;
}
input {
padding: 4px 6px;
box-sizing: border-box;
margin-bottom: 6px;
width: 100%;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

Before you add the comment, you can set the indicator size for the comment using the indicatorSize method or set the indicator color for the comment using the indicatorColor method. For example:
You can also get size & color of comment indicator
You should set size & color in the legal range:
If you want to set indicator color, you should set a string type data.
If this string cannot be identified as a color (like 'black' '#000' 'rgba(255, 255, 0, 0.5)' can be identified), the comments indicator will be set to the default color black.
If you want to set indicator size, you should set a number type data and make sure the data > 1.
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet />
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<label for="color">Color:</label>
<input id="color" type="text" v-model="color" />
<input type="button" id="setColor" value="Set Comment Indicator Color" @click="setColor" />
</div>
<div class="option-row">
<label for="size">Size:</label>
<input id="size" type="text" v-model="size" />
<input type="button" id="setSize" value="Set Comment Indicator Size" @click="setSize" />
</div>
</div>
</div>
</template>
<script setup>
import '@mescius/spread-sheets-vue';
import GC from '@mescius/spread-sheets';
import { ref } from "vue";
const spreadRef = ref(null);
const color = ref("red");
const size = ref(6);
const commentText = ref("comment demo");
function initSpread(spread) {
spreadRef.value = spread;
spread.suspendPaint();
let sheet = spread.getSheet(0);
sheet.addSpan(1, 1, 1, 6);
sheet.setValue(1, 1, "there is a comment on the upper right corner of the cell");
sheet.comments.add(1, 1, "new comment!");
spread.resumePaint();
}
function setColor() {
let spread = spreadRef.value;
let sheet = spread.getSheet(0);
sheet.comments.get(1, 1).indicatorColor(color.value);
color.value = sheet.comments.get(1, 1).indicatorColor();
}
function setSize() {
let spread = spreadRef.value;
let sheet = spread.getSheet(0);
sheet.comments.get(1, 1).indicatorSize(Number(size.value));
size.value = sheet.comments.get(1, 1).indicatorSize();
}
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
overflow: auto;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
}
label {
display: inline-block;
min-width: 90px;
margin: 6px 0;
}
input {
padding: 4px 6px;
box-sizing: border-box;
margin-bottom: 6px;
width: 100%;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script src="compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js',
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

Before you add the comment, you can set the indicator size for the comment using the indicatorSize method or set the indicator color for the comment using the indicatorColor method. For example:
You can also get size & color of comment indicator
You should set size & color in the legal range:
If you want to set indicator color, you should set a string type data.
If this string cannot be identified as a color (like 'black' '#000' 'rgba(255, 255, 0, 0.5)' can be identified), the comments indicator will be set to the default color black.
If you want to set indicator size, you should set a number type data and make sure the data > 1.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
color: string;
size: number;
commentText: string = "comment demo";
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
spread.suspendPaint();
let sheet = spread.getActiveSheet();
sheet.addSpan(1, 1, 1, 6);
sheet.setValue(1, 1, "there is a comment on the upper right corner of the cell");
sheet.comments.add(1, 1, "new comment!");
this.color = sheet.comments.get(1, 1).indicatorColor();
this.size = sheet.comments.get(1, 1).indicatorSize();
spread.resumePaint();
}
setColor() {
let spread = this.spread;
let sheet = spread.getActiveSheet();
sheet.comments.get(1, 1).indicatorColor(this.color);
this.color = sheet.comments.get(1, 1).indicatorColor();
}
setSize() {
let spread = this.spread;
let sheet = spread.getActiveSheet();
sheet.comments.get(1, 1).indicatorSize(this.size);
this.size = sheet.comments.get(1, 1).indicatorSize();
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule, FormsModule ],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule {}
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
</gc-spread-sheets>
<div class="options-container">
<div style="float: right;">
<!-- change indicator options -->
<div>
<div>
<div>
<div>
<label for="color">Color</label>
<input id="color" [(ngModel)]="color">
<input type="button" id="setColor" value="Set Comment Indicator Color" (click)="setColor()">
</div>
</div>
<div style="height: 30px;"></div>
<div>
<div>
<label for="size">Size</label>
<input type="number" id="size" [(ngModel)]="size">
<input type="button" id="setSize" value="Set Comment Indicator Size" (click)="setSize()">
</div>
</div>
<div style="height: 30px;"></div>
</div>
</div>
</div>
</div>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
}
.option-row {
padding-bottom: 5px;
}
label {
display:inline-block;
}
input{
width: 100%;
padding: 4px 0;
margin-top: 4px;
box-sizing: border-box;
}
select{
width: 100%;
}
input[type=checkbox] {
display: inline-block;
width: auto;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-charts': 'npm:@mescius/spread-sheets-charts/index.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);